Overview
POST
/ecosystem/ecosystem-regionsecosystemCreate ecosystem_regions
Create a record in ecosystem-regions.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- displayNamestring
- postgresHostoptionalstring
- railwayServiceIdoptionalstring
- isDefaultForNewProjectsoptionalboolean
Example
{
"displayName": "string",
"postgresHost": "string",
"railwayServiceId": "string",
"isDefaultForNewProjects": true
}Responses
201
ecosystem_regions
- idstring
- displayNamestring
- postgresHoststring
- railwayServiceIdstring
- isDefaultForNewProjectsboolean
- createdAtstring
Example
{
"id": "string",
"displayName": "string",
"postgresHost": "string",
"railwayServiceId": "string",
"isDefaultForNewProjects": true,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"displayName": "string",
"postgresHost": "string",
"railwayServiceId": "string",
"isDefaultForNewProjects": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"displayName\": \"string\",\n \"postgresHost\": \"string\",\n \"railwayServiceId\": \"string\",\n \"isDefaultForNewProjects\": true\n}",
});
const data = await res.json();